Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename os-homedir
%global enable_tests 0
# test disabled until 'ava' is packaged in Fedora

Name:		nodejs-os-homedir
Version:	1.0.1
Release:	alt1_8
Summary:	An io.js 2.3.0 os.homedir() ponyfill

License:	MIT
URL:		https://github.com/sindresorhus/os-homedir
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/os-homedir/v%{version}/test.js



BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	ava
%endif

Requires:	node
Source44: import.info

%description
An io.js 2.3.0 os.homedir() ponyfill


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_8
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt0.1.njs.bootstrap
- bootstrap

